org.codehaus.classworlds

## Class ClassWorldReverseAdapter

- java.lang.Object
- - org.codehaus.plexus.classworlds.ClassWorld
  - - org.codehaus.classworlds.ClassWorldReverseAdapter

    public class ClassWorldReverseAdapter
    extends ClassWorld

A reverse adapter for ClassWorlds

Version:
  $Id: ClassWorldReverseAdapter.java 7933 2008-12-17 17:33:58Z bentmann $
Author:
  Andrew Williams

### Method Summary

Methods
`void` `disposeRealm(java.lang.String id)`
`static ClassWorldReverseAdapter` `getInstance(ClassWorld oldWorld)`
`ClassRealm` `getRealm(java.lang.String id)`
`java.util.Collection` `getRealms()`
`ClassRealm` `newRealm(java.lang.String id)`
`ClassRealm` `newRealm(java.lang.String id, java.lang.ClassLoader classLoader)`

### Methods inherited from class org.codehaus.plexus.classworlds.ClassWorld

`getClassRealm`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static ClassWorldReverseAdapter getInstance(ClassWorld oldWorld)

#### newRealm

    public ClassRealm newRealm(java.lang.String id)
                        throws DuplicateRealmException

Overrides:
  `newRealm` in class `ClassWorld`
Throws:
  `DuplicateRealmException`

#### newRealm

    public ClassRealm newRealm(java.lang.String id,
                      java.lang.ClassLoader classLoader)
                        throws DuplicateRealmException

Overrides:
  `newRealm` in class `ClassWorld`
Throws:
  `DuplicateRealmException`

#### disposeRealm

    public void disposeRealm(java.lang.String id)
                      throws NoSuchRealmException

Overrides:
  `disposeRealm` in class `ClassWorld`
Throws:
  `NoSuchRealmException`

#### getRealm

    public ClassRealm getRealm(java.lang.String id)
                        throws NoSuchRealmException

Overrides:
  `getRealm` in class `ClassWorld`
Throws:
  `NoSuchRealmException`

#### getRealms

    public java.util.Collection getRealms()

Overrides:
  `getRealms` in class `ClassWorld`